uuid: 6b8a51d8-76ae-47c4-b726-4aecbcb2e23a
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.body
    - field.storage.commerce_product_variation.brand
    - field.storage.commerce_product_variation.attribute_color
    - field.storage.commerce_product_variation.description
    - field.storage.node.field_body
    - field.storage.commerce_product_variation.field_category
    - field.storage.node.field_mt_subtitle
    - field.storage.commerce_product_variation.field_range_cooker_collection
    - field.storage.commerce_product_variation.attribute_fuel
    - search_api.server.site_search
  module:
    - commerce_product
    - taxonomy
    - node
    - search_api
id: global_search
name: 'Global search'
description: ''
read_only: false
field_settings:
  body:
    label: Body
    datasource_id: 'entity:node'
    property_path: body
    type: text
    boost: 0.8
    dependencies:
      config:
        - field.storage.node.body
  brand:
    label: BRAND
    datasource_id: 'entity:commerce_product_variation'
    property_path: brand
    type: text
    boost: 0.2
    dependencies:
      config:
        - field.storage.commerce_product_variation.brand
  color:
    label: 'Colour » Product attribute value » Name'
    datasource_id: 'entity:commerce_product_variation'
    property_path: 'attribute_color:entity:name'
    type: text
    boost: 0.5
    dependencies:
      config:
        - field.storage.commerce_product_variation.attribute_color
      module:
        - commerce_product
  description:
    label: Description
    datasource_id: 'entity:commerce_product_variation'
    property_path: description
    type: text
    boost: 0.8
    dependencies:
      config:
        - field.storage.commerce_product_variation.description
  field_body:
    label: Body
    datasource_id: 'entity:node'
    property_path: field_body
    type: text
    boost: 0.8
    dependencies:
      config:
        - field.storage.node.field_body
  field_category:
    label: Category
    datasource_id: 'entity:commerce_product_variation'
    property_path: field_category
    type: integer
    dependencies:
      config:
        - field.storage.commerce_product_variation.field_category
  field_mt_subtitle:
    label: Subtitle
    datasource_id: 'entity:node'
    property_path: field_mt_subtitle
    type: text
    boost: 0.8
    dependencies:
      config:
        - field.storage.node.field_mt_subtitle
  field_range_cooker_collection:
    label: Collection
    datasource_id: 'entity:commerce_product_variation'
    property_path: field_range_cooker_collection
    type: integer
    dependencies:
      config:
        - field.storage.commerce_product_variation.field_range_cooker_collection
  fuel:
    label: 'Fuel » Product attribute value » Name'
    datasource_id: 'entity:commerce_product_variation'
    property_path: 'attribute_fuel:entity:name'
    type: text
    boost: 0.5
    dependencies:
      config:
        - field.storage.commerce_product_variation.attribute_fuel
      module:
        - commerce_product
  name:
    label: Name
    datasource_id: 'entity:taxonomy_term'
    property_path: name
    type: text
    dependencies:
      module:
        - taxonomy
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  node_status:
    label: Published
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  node_title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: text
    dependencies:
      module:
        - node
  product_status:
    label: Published
    datasource_id: 'entity:commerce_product_variation'
    property_path: status
    type: boolean
    dependencies:
      module:
        - commerce_product
  product_title:
    label: Title
    datasource_id: 'entity:commerce_product_variation'
    property_path: title
    type: text
    dependencies:
      module:
        - commerce_product
  sku:
    label: SKU
    datasource_id: 'entity:commerce_product_variation'
    property_path: sku
    type: text
    dependencies:
      module:
        - commerce_product
  term_description:
    label: Description
    datasource_id: 'entity:taxonomy_term'
    property_path: description
    type: text
    boost: 0.8
    dependencies:
      module:
        - taxonomy
  term_status:
    label: Published
    datasource_id: 'entity:taxonomy_term'
    property_path: status
    type: boolean
    dependencies:
      module:
        - taxonomy
  type:
    label: 'Content type'
    datasource_id: 'entity:node'
    property_path: type
    type: string
    dependencies:
      module:
        - node
  uid:
    label: uid
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
datasource_settings:
  'entity:commerce_product_variation':
    bundles:
      default: true
      selected: {  }
    languages:
      default: true
      selected: {  }
  'entity:node':
    bundles:
      default: true
      selected:
        - brochure
        - help
        - mt_slideshow_entry
        - mt_team_member
        - product_gallery
        - simplenews_issue
        - user_guide
        - walkthrough
    languages:
      default: true
      selected: {  }
  'entity:taxonomy_term':
    bundles:
      default: false
      selected:
        - cooker_collection
        - mt_showcase_tags
        - tags
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  content_access:
    weights:
      preprocess_query: -30
  entity_status: {  }
  highlight:
    highlight: always
    highlight_partial: false
    excerpt: true
    excerpt_length: 256
    exclude_fields: {  }
    prefix: '<strong>'
    suffix: '</strong>'
    weights:
      postprocess_query: 0
  html_filter:
    all_fields: false
    fields:
      - body
      - brand
      - description
      - field_body
      - field_mt_subtitle
      - name
      - node_title
      - product_title
      - sku
      - term_description
    title: true
    alt: true
    tags:
      b: 2
      em: 1
      h1: 5
      h2: 3
      h3: 2
      strong: 2
      u: 1
    weights:
      preprocess_index: -15
      preprocess_query: -15
  ignore_character:
    all_fields: false
    fields:
      - body
      - brand
      - description
      - field_body
      - field_mt_subtitle
      - name
      - node_title
      - product_title
      - sku
      - term_description
    ignorable: '[''¿¡!?,.:;]'
    ignorable_classes:
      - Pc
      - Pd
      - Pe
      - Pf
      - Pi
      - Po
      - Ps
    weights:
      preprocess_index: -10
      preprocess_query: -10
  ignorecase:
    all_fields: false
    fields:
      - body
      - brand
      - description
      - field_body
      - field_mt_subtitle
      - name
      - node_title
      - product_title
      - sku
      - term_description
    weights:
      preprocess_index: -20
      preprocess_query: -20
  language_with_fallback: {  }
  rendered_item: {  }
  reverse_entity_references: {  }
  stemmer:
    all_fields: false
    fields:
      - body
      - brand
      - description
      - field_body
      - field_mt_subtitle
      - name
      - node_title
      - product_title
      - term_description
    exceptions:
      mexican: mexic
      texan: texa
    weights:
      preprocess_index: 0
      preprocess_query: 0
  stopwords:
    all_fields: false
    fields:
      - body
      - brand
      - description
      - field_body
      - field_mt_subtitle
      - name
      - node_title
      - product_title
      - term_description
    stopwords:
      - a
      - an
      - and
      - are
      - as
      - at
      - be
      - but
      - by
      - for
      - if
      - in
      - into
      - is
      - it
      - 'no'
      - not
      - of
      - 'on'
      - or
      - s
      - such
      - t
      - that
      - the
      - their
      - then
      - there
      - these
      - they
      - this
      - to
      - was
      - will
      - with
    weights:
      preprocess_index: -5
      preprocess_query: -2
  tokenizer:
    all_fields: false
    fields:
      - body
      - brand
      - description
      - field_body
      - field_mt_subtitle
      - name
      - node_title
      - product_title
      - term_description
    spaces: ''
    overlap_cjk: 1
    minimum_word_size: '3'
    weights:
      preprocess_index: -6
      preprocess_query: -6
tracker_settings:
  default:
    indexing_order: lifo
options:
  index_directly: true
  cron_limit: 50
server: site_search
